PETSc version 3.15.5
Fix/Edit manual page

# TSAdaptCreate

create an adaptive controller context for time stepping

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdaptCreate(MPI_Comm comm,TSAdapt *inadapt)

Collective

### Input Parameter

| comm | - The communicator

### Output Parameter

| adapt | - new TSAdapt object

### Notes

TSAdapt creation is handled by TS, so users should not need to call this function.

### See Also

TSGetAdapt(), TSAdaptSetType(), TSAdaptDestroy()

### Level

developer

### Location

src/ts/adapt/interface/tsadapt.c

### Implementations

TSAdaptCreate_Basic in src/ts/adapt/impls/basic/adaptbasic.c
TSAdaptCreate_CFL in src/ts/adapt/impls/cfl/adaptcfl.c
TSAdaptCreate_DSP in src/ts/adapt/impls/dsp/adaptdsp.c
TSAdaptCreate_GLEE in src/ts/adapt/impls/glee/adaptglee.c
TSAdaptCreate_History in src/ts/adapt/impls/history/adapthist.c
TSAdaptCreate_None in src/ts/adapt/impls/none/adaptnone.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages